
# TODO what are files? what is sampath
#features is granges

countFeatures = function(files,features, ncores=1, conditions=basename(files)){
  
  countFunction = function(file, features){
    reads = get(load(file))
    se = summarizeOverlaps(features=features, reads=reads, 
                           ignore.strand = FALSE, singleEnd=FALSE, 
                           mode="IntersectionStrict")
    rm(reads)
    file.counts = assays(se)$counts
    rm(se)
    gc()
    return(file.counts)
  }
  
  counts = foreach(f = files, .errorhandling="pass", .export=c("features"), 
                   .noexport=setdiff(ls(),"features"),.combine="cbind") %dopar%
    countFunction(f, features)
  
  colnames(counts) = conditions
  rownames(counts) = features$TU 
  
  return(counts)
}